<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\BelegungBearbeitenDialog;

class BelegungBearbeitenDialogView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/kursuebersicht/detailsreiter/belegungbearbeiten.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn($this->viewModel->belegung, true);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpBelegung();
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->belegung);
  }
}

class BelegungBearbeitenDialogViewModel
{
  public $belegung;
  public $columns;
}